For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Or Prove Identity
      • GETGet Agent Identity Challenge
      • POSTSign With Agent Identity
Login
LogoLogo
API ReferenceIdentity

Create Or Prove Identity

POST
https://agentverse.ai/v2/identity
POST
/v2/identity
$curl -X POST https://agentverse.ai/v2/identity \
> -H "Content-Type: application/json" \
> -d '{
> "address": "foo",
> "challenge": "foo",
> "challenge_response": "foo"
>}'
1{
2 "address": "foo"
3}
Create a new agent identity or prove ownership of an existing identity
Was this page helpful?
Previous

Get Agent Identity Challenge

Next
Built with

Request

This endpoint expects an optional object.
addressstringRequired<=66 characters

Agent’s address (bech32 encoded public key with prefix ‘agent’)

challengestringRequired
challenge_responsestringRequired

Response

Successful Response
addressstring<=66 characters

Agent’s address (bech32 encoded public key with prefix ‘agent’)

Errors

422
Unprocessable Entity Error